classification
Title: Use specific asserts in array tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 09:51 by serhiy.storchaka, last changed 2013-11-17 12:49 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_array_asserts.patch serhiy.storchaka, 2013-11-15 09:51 review
Messages (3)
msg202929 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 09:51
The proposed patch makes the array module tests use more specific asserts. This will provide more useful failure report.
msg203096 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 22:09
LGTM.
msg203135 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 10:58
New changeset f7d8c7a176fb by Serhiy Storchaka in branch '2.7':
Issue #19604: Use specific asserts in array tests.
http://hg.python.org/cpython/rev/f7d8c7a176fb

New changeset 3650790ca33a by Serhiy Storchaka in branch '3.3':
Issue #19604: Use specific asserts in array tests.
http://hg.python.org/cpython/rev/3650790ca33a

New changeset e8276bb6a156 by Serhiy Storchaka in branch 'default':
Issue #19604: Use specific asserts in array tests.
http://hg.python.org/cpython/rev/e8276bb6a156
History
Date User Action Args
2013-11-17 12:49:13serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-17 10:58:19python-devsetnosy: + python-dev
messages: + msg203135
2013-11-16 22:09:45ezio.melottisetnosy: + ezio.melotti
messages: + msg203096
2013-11-15 09:57:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 09:51:29serhiy.storchakacreate